﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Common;

namespace MvcApplication2.Attribute
{
    public class LoginAttribute : ActionFilterAttribute
    {
        public override void OnActionExecuting(ActionExecutingContext filterContext)
        {
            SessionHelper session = new SessionHelper();
            if (session["user"] == null)
            {
                filterContext.Result = new RedirectResult("~/Login/index");
            }
            base.OnActionExecuting(filterContext);
        }
    }
}