﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;


namespace Common
{
    public class SessionHelper
    {
        
       public   RedisHelper Redis = new RedisHelper(true);
       public int SessionTime = 30 * 60;//单位 s
        public object this[string key]
        {
            get 
            {
                key = CookieHelper.CreatSessionCookie() + "_" + key;
                
                //距离过期时间还有多少秒
                long l = Redis.TTL(key);
                var obj=Redis.Get<object>(key);
                if(obj!=null)
                {
                    Redis.Expire(key, SessionTime);
                }

                return obj;
            }
            set 
            {
                if (value == null)
                {
                    key = CookieHelper.CreatSessionCookie() + "_" + key;
                    Redis.Remove(key);
                }
                else
                {
                    SetSession(key, value);
                }
            }
        }
        public   void SetSession(string key,object value)
        {
            if (string.IsNullOrWhiteSpace(key))
            {
                throw new Exception("Key is Null or Epmty");
            }
            key = CookieHelper.CreatSessionCookie() + "_"+key;
            Redis.Set<object>(key, value, SessionTime);
        }
        public string SessionId
        {
            get { return  CookieHelper.CreatSessionCookie();}
        }
    }
}
